<?php

namespace App\Console\Commands;

use App\Season;
use Illuminate\Console\Command;

class UpdateSeasonsFromRemote extends Command
{
    protected $signature = 'seasons:update';

    public function handle(): void
    {
        $seasons = Season::orderBy('updated_at', 'asc')
            ->with('title')
            ->limit(50)
            ->get();

        $this->withProgressBar($seasons, function (Season $season) {
            $season->maybeUpdateFromExternal($season->title);
        });
        
        $this->info('Seasons updated');
    }
}
